List session sponsors
1 min
List speaker assignments
List all speaker assignments in an event
GET
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/session_sponsors' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
[
{
"data": [
{
"id": "15406",
"type": "session-sponsor",
"attributes": {
"label": "Exhibitors",
"position": 1
},
"relationships": {
"sponsor": {
"data": {
"id": "235711",
"type": "sponsor"
}
},
"timeslot": {
"data": {
"id": "759660",
"type": "timeslot"
}
}
}
}
],
"included": [
{
"id": "759660",
"type": "timeslot",
"attributes": {
"external-id": null,
"title": "Opening Sessions",
"reservable": false,
"duration": 30,
"location": null,
"content": {
"blocks": [
{
"key": "e3neb",
"text": "Test",
"type": "unstyled",
"depth": 0,
"inlineStyleRanges": [],
"entityRanges": [],
"data": {}
}
],
"entityMap": {}
},
"subtitle": "",
"highlight-position": null,
"stream-link": null,
"uses-rsvp": false,
"uses-attendee-list": false,
"uses-ticket-qr-code": true,
"uses-rsvp-cancellation": true,
"uses-ratings": false,
"attendance-registration-open": false,
"attendance-cap": null,
"attendance-registrations-count": 0,
"organizer-reserved-attendance-slots": 0,
"color": null,
"show-sponsor-logo-in-schedule": false,
"rateable-by": "bookmarked_attendees_only",
"session-sponsors-section-title": "Sponsored by",
"child-sessions-section-title": "Session times",
"start-time": "2030-04-30T06:00:00.000Z",
"end-time": "2030-04-30T06:30:00.000Z",
"parent-timeslot-id": null,
"sponsor-id": null,
"main-sponsor": null,
"tag-order": [
"264868",
"264869",
"264870",
"264871",
"264872"
]
},
"relationships": {
"tags": {
"data": [
{
"id": "264868",
"type": "tag"
},
{
"id": "264869",
"type": "tag"
},
{
"id": "264870",
"type": "tag"
},
{
"id": "264871",
"type": "tag"
},
{
"id": "264872",
"type": "tag"
}
]
},
"locations": {
"data": []
},
"speaker-assignments": {
"data": []
},
"tabs": {
"data": []
},
"attendee-groups": {
"data": []
},
"custom-fields": {
"data": []
},
"event": {
"data": {
"id": "9144",
"type": "event"
}
},
"track": {
"data": {
"id": "35265",
"type": "track"
}
}
}
},
{
"id": "235711",
"type": "sponsor",
"attributes": {
"id": 235711,
"external-id": null,
"name": "Brella",
"order": null,
"logo-url": "",
"cover-image-url": null,
"website": null,
"twitter": null,
"linkedin": null,
"facebook": null,
"instagram": null,
"subtitle": null,
"industry": null,
"position": 406,
"content": null,
"uses-chat": null,
"app-sponsor": false,
"app-sponsor-image-url": null,
"app-sponsor-label": null,
"cta-text": "Visit booth",
"uses-analytics": null,
"lead-scanning-enabled": true,
"has-automatic-representatives-linking": true,
"location-country": null,
"location-state": null,
"created-at": "2025-09-11T06:35:01.148Z",
"updated-at": "2025-09-11T06:35:01.148Z",
"representatives-linking-method": "partial_company_name_match",
"company-domains": [],
"chat-channel-id": null
},
"relationships": {
"category": {
"data": {
"id": "22267",
"type": "sponsor-category"
}
},
"attendees": {
"data": []
},
"deck-media": {
"data": []
},
"attachments": {
"data": []
},
"tabs": {
"data": []
},
"selected-interests": {
"data": []
},
"products": {
"data": []
},
"custom-fields": {
"data": []
}
}
}
],
"meta": {
"total_count": 1,
"total_pages": 1,
"current_page": 1
}
}
]